## ros-humble-pmb2-controller-configuration 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_controller_configuration)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-humble-pmb2-controller-configuration (5.0.7-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.5-1jammy) jammy; urgency=high

  * Merge branch 'fix/controller' into 'humble-devel'
    safer controller params
    See merge request robots/pmb2_robot!97
  * safer controller params
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 May 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.4-1jammy) jammy; urgency=high

  * set sim time for gazebo controller_manager
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.2-1jammy) jammy; urgency=high

  * Merge branch 'rm_use_sim_time' into 'humble-devel'
    remove use_sim_time parameter
    See merge request robots/pmb2_robot!94
  * remove use_sim_time parameter
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_controllers_config' into 'humble-devel'
    Remove initial / from controllers config
    See merge request robots/pmb2_robot!93
  * remove initial / from controllers config
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    update package.xml deps, indentation fix
    See merge request robots/pmb2_robot!85
  * update package.xml deps
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_robot!82
  * update copyright
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/pmb2_robot!83
  * cleanup
  * Merge branch 'refactor_ld_population' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_robot!81
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_robot!80
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    humble distro fixes
    See merge request robots/pmb2_robot!79
  * linters
  * update mobile_base_controller params
  * Merge branch 'pmb2_launcher' into 'galactic-devel'
    pmb2 launcher
    See merge request robots/pmb2_robot!76
  * add todo
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'add_extra_joints' into 'foxy-devel'
    Add extra joints
    See merge request robots/pmb2_robot!74
  * add extra joints to joint state
  * add extra joints to joint state
  * Contributors: cescfolch, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.1-1jammy) jammy; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (4.0.0-1jammy) jammy; urgency=high

  * Correct dependency name
  * Using joint_state_broadcaster instead of controller
  * Adapt to proper parameter naming
  * Add linters to pmb2_bringup and apply fixes
  * use_sim_time in controllers and cleanup
  * Split default_controllers launch file
  * Fixes to gazebo ros2 control param changes
  * More fixes to default_controllers
  * Add default_controllers.launch.py
  * Update default_controllers.yaml
    Update gazebo controller name
  * Add pmb2_controller_configuration
  * First working version
  * Contributors: Jordan Palacios, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (3.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-humble-pmb2-controller-configuration (3.0.13-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_robot!60
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-controller-configuration (3.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 Jul 2020 00:00:00 -0000

ros-humble-pmb2-controller-configuration (3.0.11-1jammy) jammy; urgency=high

  * Merge branch 'fix-changelog' into 'erbium-devel'
    fixed changelog


=== debian/control ===
Source: ros-humble-pmb2-controller-configuration
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-diff-drive-controller, ros-humble-joint-state-broadcaster, ros-humble-ros-workspace
Description: Launch files and scripts needed to configure the controllers of the PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-controller-configuration//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pmb2-controller-configuration 5.1.2

=== debian/changelog ===
ros-humble-pmb2-controller-configuration (5.1.2-1bookworm) bookworm; urgency=high

  * Fix error of loading mobile_base_controller.yaml
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.1.1-1bookworm) bookworm; urgency=high

  * Publish odom tf for public sim
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.1.0-1bookworm) bookworm; urgency=high

  * Use controller_type from the controllers config
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Aug 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.27-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jul 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.26-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.25-1bookworm) bookworm; urgency=high

  * Add imu sensor broadcaster
  * Contributors: davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.24-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.23-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.22-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/complete_std' into 'humble-devel'
    Complete std
    See merge request robots/pmb2_robot!129
  * Add imu broadcaster
  * Fix linters
  * Update copyright + move imu into sensors
  * Launch standarization
  * Contributors: David ter Kuile, Oscar, davidterkuile, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.21-1bookworm) bookworm; urgency=high

  * Remove casters and suspension from joint_state_broadcaster
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.20-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.19-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/enable-dlo-sim' into 'humble-devel'
    Feat/enable dlo sim
    See merge request robots/pmb2_robot!124
  * cosmetic
  * added public sim config mobile base controller and restored original laser noise
  * enable dlo sim and reduce laser noise
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.18-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.17-1bookworm) bookworm; urgency=high

  * Add ros2controlcli dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.16-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.15-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.14-1bookworm) bookworm; urgency=high

  * Set 'finishes: True' for default_controllers module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.13-1bookworm) bookworm; urgency=high

  * Add website tag
  * Rename description and controller modules
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.12-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.11-1bookworm) bookworm; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.10-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Oct 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.9-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/load_wheels_calibration' into 'humble-devel'
    Use wheels calibration if exists
    See merge request robots/pmb2_robot!110
  * Use wheels calibration if exists
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.8-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 03 Sep 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.7-1bookworm) bookworm; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.0.6-1bookworm) bookworm; urgency=high





## ros-humble-pmb2-controller-configuration 5.3.0

=== debian/changelog ===
ros-humble-pmb2-controller-configuration (5.3.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Sep 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.2.0-1bookworm) bookworm; urgency=high

  * Refactor mobile base controller
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-pmb2-controller-configuration (5.1.3-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 18 Aug 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-pmb2-controller-configuration
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/pmb2_simulation
Standards-Version: 3.9.2

Package: ros-humble-pmb2-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-diff-drive-controller, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-launch, ros-humble-launch-pal, ros-humble-ros2controlcli, ros-humble-ros-workspace
Description: Launch files and scripts needed to configure the controllers of the PMB2 robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-controller-configuration//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-controller-configuration//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pmb2-controller-configuration//opt/ros/humble/opt/pmb2_controller_configuration/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
